package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import com.ym.mec.biz.dal.enums.TeachTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class CourseScheduleDto extends CourseSchedule {

    @ApiModelProperty(value = "教师名称",required = false)
    private String teacherName;

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String classGroupName;

    @ApiModelProperty(value = "学生总人数")
    private Integer totalStudentNum;

    @ApiModelProperty(value = "预计学生人数")
    private Integer expectStudentNum;

    @ApiModelProperty(value = "学生姓名")
    private String studentNames;

    @ApiModelProperty(value = "学校名称",required = false)
    private String schoolName;

    @ApiModelProperty(value = "班级编号，房间号",required = false)
    private String sealClassId;

    @ApiModelProperty(value = "签到状态(1正常，0异常,3未签到)",required = false)
    private Integer signInStatus;

    @ApiModelProperty(value = "签退状态(1正常，0异常,3未签到)",required = false)
    private Integer signOutStatus;

    @ApiModelProperty(value = "教师角色")
    private TeachTypeEnum teacherRole;

    @ApiModelProperty(value = "投诉状态")
    private Integer complaintStatus;


    private String subjectName;

    private String subjectId;

    private String groupName;

    private List<StudentNameAndPhoneDto> students;

    @ApiModelProperty(value = "是否是第一次进行学生点名")
    private int studentAttendanceIsFirstTime;

    @ApiModelProperty(value = "能否进行调整")
    private int enableAdjustInToday;

    @ApiModelProperty(value = "老师评论id")
    private Integer reviewId;

    @ApiModelProperty(value = "学生评论id")
    private Long StudentReviewId;

    private Integer studentId;

    //是否提交过申述0否1是
    private int isComplaints;

    //申述状态0拒绝1通过2待处理3已撤销
    private Integer complaintsStatus;

    //申述内容
    private String complaintsContent;

    //申述凭证
    private String url;

    //处理结果
    private String disposeContent;

    private int isNew;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(Integer signInStatus) {
        this.signInStatus = signInStatus;
    }

    public Integer getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(Integer signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public Integer getComplaintsStatus() {
        return complaintsStatus;
    }

    public void setComplaintsStatus(Integer complaintsStatus) {
        this.complaintsStatus = complaintsStatus;
    }

    public String getComplaintsContent() {
        return complaintsContent;
    }

    public void setComplaintsContent(String complaintsContent) {
        this.complaintsContent = complaintsContent;
    }

    public String getDisposeContent() {
        return disposeContent;
    }

    public void setDisposeContent(String disposeContent) {
        this.disposeContent = disposeContent;
    }

    public int getIsComplaints() {
        return isComplaints;
    }

    public void setIsComplaints(int isComplaints) {
        this.isComplaints = isComplaints;
    }

    public int getIsNew() {
        return isNew;
    }

    public void setIsNew(int isNew) {
        this.isNew = isNew;
    }

    public List<StudentNameAndPhoneDto> getStudents() {
        return students;
    }

    public void setStudents(List<StudentNameAndPhoneDto> students) {
        this.students = students;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Integer getComplaintStatus() {
        return complaintStatus;
    }

    public void setComplaintStatus(Integer complaintStatus) {
        this.complaintStatus = complaintStatus;
    }

    public Integer getExpectStudentNum() {
        return expectStudentNum;
    }

    public void setExpectStudentNum(Integer expectStudentNum) {
        this.expectStudentNum = expectStudentNum;
    }

    public int getEnableAdjustInToday() {
        return enableAdjustInToday;
    }

    public void setEnableAdjustInToday(int enableAdjustInToday) {
        this.enableAdjustInToday = enableAdjustInToday;
    }

    public int getStudentAttendanceIsFirstTime() {
        return studentAttendanceIsFirstTime;
    }

    public void setStudentAttendanceIsFirstTime(int studentAttendanceIsFirstTime) {
        this.studentAttendanceIsFirstTime = studentAttendanceIsFirstTime;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public TeachTypeEnum getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(TeachTypeEnum teacherRole) {
        this.teacherRole = teacherRole;
    }

    public String getStudentNames() {
        return studentNames;
    }

    public void setStudentNames(String studentNames) {
        this.studentNames = studentNames;
    }

    public Integer getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(Integer totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public String getSealClassId() {
        return sealClassId;
    }

    public void setSealClassId(String sealClassId) {
        this.sealClassId = sealClassId;
    }

    private StudentAttendanceStatusEnum attendanceStatus;

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public StudentAttendanceStatusEnum getAttendanceStatus() {
        return attendanceStatus;
    }

    public void setAttendanceStatus(StudentAttendanceStatusEnum attendanceStatus) {
        this.attendanceStatus = attendanceStatus;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getReviewId() {
        return reviewId;
    }

    public void setReviewId(Integer reviewId) {
        this.reviewId = reviewId;
    }

    public Long getStudentReviewId() {
        return StudentReviewId;
    }

    public void setStudentReviewId(Long studentReviewId) {
        StudentReviewId = studentReviewId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }
}
